/* Copyright (C) 2005, 2006, 2007
 * Amos Waterland <apw@rossby.metr.ou.edu>
 *
 * This file is part of sreplay.
 *
 * The sreplay program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * The sreplay program is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with the sreplay program; if not, write to the
 * Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
 */

#include <stub.h>
#include <unistd.h>

SYSCALL(_exit, __NR_exit, 1)
SYSCALL(read, __NR_read, 3)
SYSCALL(write, __NR_write, 3)
SYSCALL(open, __NR_open, 2)
SYSCALL(close, __NR_close, 1)
SYSCALL(lseek, __NR_lseek, 3)
SYSCALL(access, __NR_access, 2)
SYSCALL(brk, __NR_brk, 1)
SYSCALL6(mmap, __NR_mmap, 6)
SYSCALL(munmap, __NR_munmap, 2)
SYSCALL(fstat, __NR_fstat, 2)
SYSCALL(uname, __NR_uname, 1)
SYSCALL(mprotect, __NR_mprotect, 3)
SYSCALL(mmap2, __NR_mmap2, 6)
SYSCALL(fstat64, __NR_fstat64, 2)
SYSCALL(set_thread_area, __NR_set_thread_area, 1)
SYSCALL(exit_group, __NR_exit_group, 1)
SYSCALL(set_tid_address, __NR_set_tid_address, 1)
SYSCALL(rt_sigaction, __NR_rt_sigaction, 4)
SYSCALL(rt_sigprocmask, __NR_rt_sigprocmask, 4)
SYSCALL(getrlimit, __NR_ugetrlimit, 2)
SYSCALL(ioctl, __NR_ioctl, 3)
SYSCALL(fcntl64, __NR_fcntl64, 3)
SYSCALL(getdents64, __NR_getdents64, 3)
SYSCALL(getpid, __NR_getpid, 0)
SYSCALL(_sysctl, __NR__sysctl, 1)
SYSCALL(fcntl, __NR_fcntl, 3)
SYSCALL(futex, __NR_futex, 6)
SYSCALL(socketcall, __NR_socketcall, 2)
SYSCALL(stat64, __NR_stat64, 2)
